from sqlalchemy import Column, create_engine, func
from sqlalchemy.dialects.postgresql import UUID, VARCHAR, JSONB, TIMESTAMP
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()

class TaskRequest(Base):
    __tablename__ = 'task_request'

    uuid = Column(UUID, primary_key=True)
    task_uuid = Column(UUID)
    task_name = Column(VARCHAR(50))
    json_request = Column(JSONB)
    json_response = Column(JSONB)
    parameters = Column(VARCHAR(255))
    created_at = Column(TIMESTAMP,server_default=func.current_timestamp())
    updated_at = Column(TIMESTAMP,onupdate=func.current_timestamp())

if __name__ == "__main__":
    engine = create_engine("postgresql://dev:rUtbkp6uE752Amsw@35.223.124.237:5432/task_manager")
    Base.metadata.create_all(bind=engine)